summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zordrak2010-05-13 01:00:57 +0200
committer David Somero2010-05-13 01:00:57 +0200
commit5854ad6b9d37fe61e189c9bdf011691b70f1e6e5 (patch)
treef0e2249d404a9815270f46a70e0037d220733945
parent627d66cc0450cb3efa0c3812a63051ce886b281d (diff)
downloadslackbuilds-5854ad6b9d37fe61e189c9bdf011691b70f1e6e5.tar.gz
system/nagios-plugins: Added to 13.0 repository
-rw-r--r--system/nagios-plugins/README16
-rw-r--r--system/nagios-plugins/nagios-plugins.SlackBuild98
-rw-r--r--system/nagios-plugins/nagios-plugins.info10
-rw-r--r--system/nagios-plugins/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/system/nagios-plugins/README b/system/nagios-plugins/README
new file mode 100644
index 0000000000..dc132c2223
--- /dev/null
+++ b/system/nagios-plugins/README
@@ -0,0 +1,16 @@
+nagios-plugins (Plugins for the Nagios network monitoring server)
+
+Unlike many other monitoring tools, Nagios does not include any
+internal mechanisms for checking the status of hosts and services on
+your network. Instead, Nagios relies on external programs (called
+plugins) to do all the dirty work. Plugins are compiled executables or
+scripts (Perl scripts, shell scripts, etc.) that can be run from a
+command line to check the status or a host or service.
+
+Remember to install the Nagios::Plugin perl module and its
+dependencies to ensure all functionality of perl plugins.
+
+Remember to install the applications you plan to use plugins with
+before installation of nagios-plugins as some plugins are compiled
+using the relevant libraries installed on your system for the
+application being probed.
diff --git a/system/nagios-plugins/nagios-plugins.SlackBuild b/system/nagios-plugins/nagios-plugins.SlackBuild
new file mode 100644
index 0000000000..011801b8eb
--- /dev/null
+++ b/system/nagios-plugins/nagios-plugins.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for nrpe
+
+# Written by Zordrak <slackbuilds@tpa.me.uk>
+
+PRGNAM=nagios-plugins
+VERSION=${VERSION:-1.4.14}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+# Bail out if user or group isn't valid on your system
+# For slackbuilds.org, assigned nagios uid/gid are 213/213
+# See http://slackbuilds.org/uid_gid.txt
+if ! grep ^nagios: /etc/group 2>&1 > /dev/null; then
+ echo " You must have a \"nagios\" group to run this script."
+ echo " # groupadd -g 213 nagios"
+ exit 1
+elif ! grep ^nagios: /etc/passwd 2>&1 > /dev/null; then
+ echo " You must have a \"nagios\" user to run this script."
+ echo " # useradd -u 213 -g nagios -d /usr/libexec/nagios -s /bin/false nagios"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec/nagios \
+ --sysconfdir=/etc/nagios \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --with-nagios-user=nagios \
+ --with-nagios-group=nagios \
+ --without-world-permissions
+
+make
+make install DESTDIR=$PKG
+
+# Put the contrib plugins dir in along with the official plugins
+# otherwise most people will never realise they exist
+cp -a contrib $PKG/usr/libexec/nagios/.
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+chown -R root.nagios $PKG/usr/libexec/nagios
+chmod u+s $PKG/usr/libexec/nagios/check_{icmp,dhcp};
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README REQUIREMENTS ACKNOWLEDGEMENTS AUTHORS BUGS CODING COPYING \
+ ChangeLog FAQ INSTALL LEGAL NEWS SUPPORT THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/nagios-plugins/nagios-plugins.info b/system/nagios-plugins/nagios-plugins.info
new file mode 100644
index 0000000000..7f9d65ae1b
--- /dev/null
+++ b/system/nagios-plugins/nagios-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="nagios-plugins"
+VERSION="1.4.14"
+HOMEPAGE="http://www.nagios.org"
+DOWNLOAD="http://downloads.sourceforge.net/nagiosplug/nagios-plugins-1.4.14.tar.gz"
+DOWNLOAD_x86_64="http://downloads.sourceforge.net/nagiosplug/nagios-plugins-1.4.14.tar.gz"
+MD5SUM="a1835a48a777863ed2583de3c82446a9"
+MD5SUM_x86_64="a1835a48a777863ed2583de3c82446a9"
+MAINTAINER="Zordrak"
+EMAIL="slackbuilds@tpa.me.uk"
+APPROVED="dsomero"
diff --git a/system/nagios-plugins/slack-desc b/system/nagios-plugins/slack-desc
new file mode 100644
index 0000000000..02e8da02f5
--- /dev/null
+++ b/system/nagios-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nagios-plugins: nagios-plugins (Plugins for the Nagios network monitoring server)
+nagios-plugins:
+nagios-plugins: Unlike many other monitoring tools, Nagios does not include any
+nagios-plugins: internal mechanisms for checking the status of hosts and services on
+nagios-plugins: your network. Instead, Nagios relies on external programs (called
+nagios-plugins: plugins) to do all the dirty work. Plugins are compiled executables or
+nagios-plugins: scripts (Perl scripts, shell scripts, etc.) that can be run from a
+nagios-plugins: command line to check the status or a host or service.
+nagios-plugins:
+nagios-plugins: http://www.nagios.org/
+nagios-plugins: